dispersion.conf(5)

NAME

dispersion.conf - configuration file for the openstack-swift dispersion tools

SYNOPSIS

dispersion.conf

DESCRIPTION

This is the configuration file used by the dispersion populate and report tools. The file format consists of the '[dispersion]' module as the header and available parameters. Any line that begins with a '#' symbol is ignored.

PARAMETERS

    auth_version
        Authentication system API version. The default is 1.0.

    auth_url
        Authentication system URL

    auth_user
        Authentication system account/user name

    auth_key
        Authentication system account/user password

    swift_dir
        Location of openstack-swift configuration and ring files

    dispersion_coverage
        Percentage of partition coverage to use. The default is 1.

    retries
        Maximum number of attempts

    concurrency
        Concurrency to use. The default is 25.

    dump_json
        Whether to output in json format. The default is no.

    container_report
        Whether to run the container report. The default is yes.

    object_report
        Whether to run the object report. The default is yes.

SAMPLE
    [dispersion]
    auth_url = https://127.0.0.1:443/auth/v1.0
    auth_user = dpstats:dpstats
    auth_key = dpstats
    swift_dir = /usr/local/etc/swift
    # dispersion_coverage = 1
    # retries = 5
    # concurrency = 25
    # dump_json = no
    # container_report = yes
    # object_report = yes

DOCUMENTATION

More in depth documentation about the swift-dispersion utilities and also Openstack-Swift as a whole can be found at http://swift.openstack.org/admin_guide.html#cluster-health and http://swift.openstack.org

SEE ALSO
swift-dispersion-report(1), swift-dispersion-populate(1)